module.exports = {
    publicPath: '/bulehelp/', //部署路径后缀
    assetsDir: 'static', // 放置生成的静态资源 (js、css、img、fonts) 的 (相对于 outputDir 的) 目录。
    indexPath: 'index.html', // 指定生成的 index.html 的输出路径 (相对于 outputDir)。也可以是一个绝对路径。
    filenameHashing: true, // 文件名hash，默认
    lintOnSave: false, // 开发环境下通过 eslint-loader 在每次保存时 lint 代码
    productionSourceMap: false, // 关闭生产环境的 source map
    devServer: {
        overlay: {
            // 让浏览器 overlay 同时显示警告和错误
            warnings: true,
            errors: true
        },
        host: 'localhost',
        port: 8080, // 端口号
        // https: false, // https:{type:Boolean}
        open: true, // 配置自动启动浏览器
        hotOnly: true, // 热更新
        proxy: {
            // 配置多个跨域
            '/': {
                target: 'http://172.16.120.155:8083/', //跨域接口的地址
                changeOrigin: false,
                pathRewrite: {
                    '': '/'
                }
            }
        },
        headers: {
            'Access-Control-Allow-Origin': '*',
        }
    }
};